
import request from '@/utils/request'

// 新增
export function ruleAdd(data) {
  return request({
    url: `/point/rule`,
    method: 'post',
    data
  })
}

// 删除
export function ruleDel(data) {
  return request({
      url: `/point/rule`,
      method: 'delete',
      data
  })
}

// 修改
export function ruleUpdate(data, id) {
  return request({
    url: `/point/rule/${id}`,
    method: 'put',
    data: data
  })
}

// 查询List
export function ruleQuery(query) {
  return request({
    url: `/point/rule/list`,
    method: 'get',
    params: query
  })
}

// 查询详情
export function ruleFetch(id) {
  return request({
    url: `/point/rule/${id}`,
    method: 'get'
  })
}

